Bug 1311622 - Getting NoSuchElementException while handling attributes with empty string value in tomcat 7.0.54
Getting NoSuchElementException while handling attributes with empty string va...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: tomcat (Show other bugs)
7.2
Unspecified Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Coty Sutherland
fgoldefu
:
Depends On: 1287928
Blocks: 1298191
  Show dependency treegraph
 
Reported: 2016-02-24 10:43 EST by Pankaj Degave
Modified: 2016-11-03 17:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 17:11:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache Bugzilla 56561 None None None 2016-03-04 14:12 EST
Red Hat Knowledge Base (Solution) 1428173 None None None 2016-06-07 14:35 EDT

  None (edit)
Description Pankaj Degave 2016-02-24 10:43:46 EST
Description of problem:
- Getting the error "NoSuchElementException while handling attributes with empty string value".This bug is already described in community with bug id :56561 (NoSuchElementException on empty attribute in Validator$ValidateVisitor.getJspAttribute(Validator.java:1385))


How reproducible:
-The error is reproducible with below steps and attached application.

Steps to Reproduce:
1.Deploy the attached sample war application in tomcat 7.0.54
2.Hit the url : http://IP:PORT/testapp
3.Press menu option "Registros - Listar Registros"

Actual results:
- Getting java.util.NoSuchElementExceptionjava.util.ArrayList$Itr.next(ArrayList.java:834)


Expected results:
- The application should run without throwing any error.

Additional info:
 - The error can be seen only with tomcat 7.0.54 and it is fixed in higher version of tomcat eg: tomcat 7.0.59 

 - [root@pdegave]# cat /etc/redhat-release
Red Hat Enterprise Linux Server release 7.2 (Maipo)


- [root@pdegave]# yum list installed | grep tomcat
tomcat.noarch                     7.0.54-2.el7_1             @rhel-7-server-rpms
tomcat-admin-webapps.noarch       7.0.54-2.el7_1             @rhel-7-server-rpms
tomcat-el-2.2-api.noarch          7.0.54-2.el7_1             @rhel-7-server-rpms
tomcat-jsp-2.2-api.noarch         7.0.54-2.el7_1             @rhel-7-server-rpms
tomcat-lib.noarch                 7.0.54-2.el7_1             @rhel-7-server-rpms
tomcat-servlet-3.0-api.noarch     7.0.54-2.el7_1             @rhel-7-server-rpms
Comment 2 Coty Sutherland 2016-03-04 14:12:46 EST
It looks like this is ASF BZ 56561 from the case. The following two revisions should resolve the issue:

http://svn.apache.org/r1597587
http://svn.apache.org/r1597545

------------------------------------------------------------------------
r1597587 | kkolinko | 2014-05-26 09:57:55 -0400 (Mon, 26 May 2014) | 4 lines

https://issues.apache.org/bugzilla/show_bug.cgi?id=56561
Followup to r1597532: check the output of the new test.

It is backport of r1597573 from tomcat/trunk.
------------------------------------------------------------------------
r1597545 | violetagg | 2014-05-26 06:00:25 -0400 (Mon, 26 May 2014) | 4 lines

Fix https://issues.apache.org/bugzilla/show_bug.cgi?id=56561
Merged revisions 1597532, 1597541 from tomcat/trunk:
Fixed NoSuchElementException when an attribute has empty string as value.

------------------------------------------------------------------------
Comment 9 errata-xmlrpc 2016-11-03 17:11:40 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2599.html

Note You need to log in before you can comment on or make changes to this bug.